#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 10. Graphics and Font Libraries

- Prev

  Potrace-1.16

- Next

  sassc-3.6.2

- Up
- Home

# Qpdf-12.3.2

## Introduction to Qpdf

The Qpdf package contains command-line programs and a library that does structural, content-preserving transformations on PDF files.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/qpdf/qpdf/releases/download/v12.3.2/qpdf-12.3.2.tar.gz

- Download MD5 sum: 6740cb19ae3c9ecdc9c1d012449de1c3

- Download size: 19 MB

- Estimated disk space required: 358 MB (add 2 MB for tests)

- Estimated build time: 0.6 SBU (using parallelism=4; add 0.5 SBU for tests)

### Qpdf Dependencies

#### Required

libjpeg-turbo-3.1.4.1

#### Optional

ghostscript-10.07.0, GnuTLS-3.8.13, libtiff-4.7.1, sphinx-9.1.0 with sphinx_rtd_theme-3.1.0, and texlive-20250308 or install-tl-unx

## Installation of Qpdf

Install Qpdf by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_STATIC_LIBS=OFF     \
          -D CMAKE_INSTALL_DOCDIR=/usr/share/doc/qpdf-12.3.2 \
          .. &&
    make

To test the results, issue: ctest.

Now, as the `root` user:

    make install

## Contents

Installed Programs: fix-qdf, qpdf, and zlib-flate
Installed Library: libqpdf.so
Installed Directories: /usr/lib/cmake/qpdf, /usr/include/qpdf, and /usr/share/doc/qpdf-12.3.2

### Short Descriptions

fix-qdf | is used to repair PDF files in QDF form after editing
qpdf | is used to convert one PDF file to another equivalent PDF file
zlib-flate | is a raw zlib compression program
`libqpdf.so` | contains the Qpdf API functions

- Prev

  Potrace-1.16

- Next

  sassc-3.6.2

- Up
- Home